CSS-VALIDATOR(1)

NAME
css-validator - validate CSS style sheets

SYNOPSIS
css-validator [OPTIONS] [URL]*

DESCRIPTION
Takes a CSS style sheet or html file/url as input and checks for its validity.

OPTIONS

-p, --printCSS

    Prints the validated CSS (only with text output, the CSS is printed with other outputs)

-profile PROFILE, --profile=PROFILE

    Checks the Stylesheet against PROFILE

    Possible values for PROFILE are: css1, css2, css21, css3, css3svg (default), svg, svgbasic, svgtiny, atsc-tv, mobile, tv

-medium MEDIUM, --medium=MEDIUM

    Checks the Stylesheet using the medium MEDIUM.

    Possible values for MEDIUM are: all (default), aural, braille, embossed, handheld, print, projection, screen, tty, tv, presentation

-output OUTPUT, --output=OUTPUT

    Prints the result in the selected format.

    Possible values for OUTPUT are: gnu, json, soap12, text (default), ucn, xhtml, xml

-lang LANG, --lang=LANG

    Prints the result in the specified language.

    Possible values for LANG are: bg, cs, de, el, en (default), es, fa, fr, hi, hu, it, ja, ko, nl, pl-PL, pt-BR, ro, ru, sv, uk, zh-cn

-warning WARN, --warning=WARN

    Warnings verbosity level.

    Possible values for WARN are: -1 (no warning), 0, 1, 2 (default, all the warnings)

-vextwarning true, --vextwarning=true

    Treat Vendor Extensions as warnings.

    Possible values for vextwarning are true or false (default)

URL

    URL can either represent a distant web resource (https://) or a local file (file:/).
    For relative path use file:relative/path/to/my_style_sheet.css.
    For absolute path use file:/absolute/path/to/my_style_sheet.css.

EXIT STATUS
return 0 on success, 1 for fatal errors, 10 to 110 for the number of errors in the checked Style Sheet